<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>◯◯掲示板 | スレッド投稿</title>
    <!-- header.cssの読み込み -->
    <link href="css/header.css" rel="stylesheet" type="text/css" />
    <!-- Bootstrapの読み込み -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>

<body class="pt-40">
    <!-- ヘッダー -->
    <header class="sticky-top mb-5">
        <nav class="navbar navbar-expand-lg navbar-light bg-white  pt-5">
            <div class="container-fluid">
              <div class="collapse navbar-collapse row justify-content-center" id="navbarTogglerDemo02">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0 border-bottom">
                  <li class="nav-item">
                      <!-- Homeへ遷移 -->
                      <a class="nav-link" href="#">Home</a>
                  </li>
                  <li class="nav-item ">
                    <!-- ユーザ詳細画面へ遷移 -->
                    <a class="nav-link" href="#">loginusername</a>
                  </li>
                  <li class="nav-item">
                    <!-- ログイン画面へ遷移 -->
                    <a class="nav-link" href="#">logout</a>
                  </li>
                </ul>
              </div>
            </div>
        </nav>
    </header>


    <div class="container mt-6">
        <div class="row ">
            <!-- classからcol-6を削除 -->
            <div class=" mx-auto">
                <h3>スレッド追加</h3>
            </div>
        </div>

        <div class="row">
            <div class="col-6 offset-3">
                <!-- エラーメッセージ start -->
                <c:if test="${errMsg != null}">
                    <div class="alert alert-danger" role="alert">エラーメッセージ</div>
                </c:if>
                <!--エラーメッセージ  end  -->
            </div>
        </div>

        <div class="row">
            <div class="col-6 offset-3">
                <!--   スレッド投稿フォーム   -->
                <form method="post" action="ThreadAddServlet">
                    
                    <div class="form-group row">
                        <label for="title" class="control-label col-2">タイトル</label>
                        <div class="col-10">
                            <!-- スレッドのタイトル 入力 -->
                            <input type="text" name="title" class="form-control" value="タイトル">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="body" class="control-label col-2">本文</label>
                        <div class="col-10">
                            <!-- スレッドの本文 入力 -->
                            <textarea class="form-control" id="body" name="body" rows="4">スレッドの本文</textarea>
                        </div>
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary btn-block form-submit">登録</button>
                    </div>
                </form>
                <div class="row mt-3 text-xl-center">
                    <div class="col">
                        <!-- スレッド一覧ページに戻るリンク -->
                        <a href="thread_list.html" class="text-primary">戻る</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>